<%@ page contentType="text/html; charset=utf-8" language="java" %>
<%@ taglib uri="/WEB-INF/taglib.tld" prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<x:base include="grid,date,layout,combox,tree,comboDialog,attachment"/>
<x:script src='/system/opm/js/OpmUtil.js'/>
<x:script src='/biz/topsun/common/purchaseCommon.js'/>
<x:script src='/biz/topsun/proofing/proofingMake.js'/>
<div class="container-fluid" style="padding: 10px;">
    <form class="hg-form" method="post" action="" id="submitForm">
        <div><h3>基本信息</h3></div>
        <div style="margin: 22px;border: 1px solid black;">
            <div class="hg-form-cols">
                <x:inputC name="proofingMakeNo"  label="指导书编号" labelCol="2" fieldCol="2"/>

                <x:inputC name="productId"  label="产品编号" labelCol="2" fieldCol="2"/>

                <x:inputC name="specificationNo"  label="规格书编号" labelCol="2" fieldCol="2"/>

                <x:inputC name="proofingApplyPageNeedTime"  label="产品类型" wrapper="date" labelCol="2"
                          fieldCol="2"/>
                <x:inputC name="proofingApplySampleCnName"  label="品牌" maxLength="32" labelCol="2"
                          fieldCol="2"/>
                <x:inputC name="proofingApplySampleEnName"  label="采购单位" maxLength="32" labelCol="2"
                          fieldCol="2"/>
                <x:inputC name="proofingApplySampleVersion"  label="换算值" maxLength="32" labelCol="2"
                          fieldCol="2"/>
                <x:inputC name="proofingApplySampleSize"  label="产品名称" maxLength="32" labelCol="2"
                          fieldCol="2"/>
                <x:inputC name="proofingApplySampleNum"  label="产品英文名称" maxLength="32" labelCol="2"
                          fieldCol="2"/>
                <x:inputC name="proofingApplyOutputSituation"  label="仓库" maxLength="32" labelCol="2"
                          fieldCol="2"/>
                <x:inputC name="sizeGroup"  label="尺码组" maxLength="32" labelCol="2" fieldCol="2"/>
                <x:inputC name="isDisable"  label="是否禁用" labelCol="2" fieldCol="2"/>

                <x:inputC name="isNewSpecification" label="是否创建新规格书" maxLength="32" labelCol="2" fieldCol="2"/>

                <x:inputC name="isShoePattern" label="是否要鞋图" labelCol="2" fieldCol="2"/>

                <x:inputC name="isAttachedSample"  label="是否附样品" maxLength="32" labelCol="2"
                          fieldCol="2"/>
                <x:inputC name="isOnlyCode"  label="是否唯一码产品" maxLength="32" labelCol="2"
                          fieldCol="2"/>
                <x:inputC name="isBodyColor"  label="是否不考虑形体配色" maxLength="32" labelCol="2"
                          fieldCol="2"/>

            </div>
        </div>

    </form>

</div>
