<%@ page contentType="text/html; charset=utf-8" language="java" %>
<%@ taglib uri="/WEB-INF/taglib.tld" prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<x:base include="grid,date,layout,combox,tree,comboDialog,attachment"/>
<x:script src='/system/opm/js/OpmUtil.js'/>
<x:script src='/biz/topsun/common/purchaseCommon.js'/>
<x:script src='/biz/topsun/proofing/proofingMake.js'/>
<x:script src='/biz/topsun/proofing/technologyAndBom/technologyAndBom.js'/>
<div class="container-fluid" style="padding: 10px;">
    <div style="text-align: center;">
        <h1 style="font-weight: bold;">打样制造单</h1>
    </div>
    <form class="hg-form" method="post" action="" id="submitForm">
        <div><h3>基本信息</h3></div>
        <div style="margin: 22px;border: 1px solid black;">
            <div class="hg-form-cols">
                <x:hidden name="proofingMakeId"/>
                <x:hidden name="proofingApplyId"/><!--申请单id-->
                <x:hidden name="id"/><!--申请单的主键id-->

                <x:inputC name="proofingMakeNo" readonly="true" label="制造单号" labelCol="1" fieldCol="2"/>

                <x:inputC name="proofingApplyNo" label="申请单号" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productId" readonly="true" label="产品编号" labelCol="1" fieldCol="2"/>

                <x:inputC name="customerId" readonly="true" label="品牌客户编号" labelCol="1" fieldCol="2"/>

                <x:inputC name="proofingApplyPageNeedTime" readonly="true" label="版面需求时间" wrapper="date"
                          labelCol="1" fieldCol="2"/>
                <x:inputC name="proofingApplyCompleteDate" readonly="true" id="completeDate" required="false"
                          label="完成日期" wrapper="date" labelCol="1"/>
                <x:inputC name="proofingApplySampleCnName" readonly="true" label="样品中文名称" maxLength="32"
                          labelCol="1" fieldCol="2"/>
                <x:inputC name="proofingApplySampleEnName" readonly="true" label="样品英文名称" maxLength="32"
                          labelCol="1" fieldCol="2"/>
                <x:inputC name="proofingApplySampleVersion" readonly="true" label="样品版次" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="proofingApplySampleSize" readonly="true" label="样品规格" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="proofingApplySampleNum" readonly="true" label="样品数量" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="proofingApplyOutputSituation" readonly="true" label="产量情况" maxLength="32"
                          labelCol="1" fieldCol="2"/>
                <x:inputC name="proofingApplyProductNo" readonly="true" label="产品代号" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="proofingType" readonly="true" label="打样形式" labelCol="1" fieldCol="2"/>

                <x:inputC name="page" label="版面" labelCol="1" fieldCol="2"/>

                <x:inputC name="proofingApplyAllocationType" label="分配方式" maxLength="32" labelCol="1" fieldCol="2"/>

                <x:inputC name="productType" label="产品类别" labelCol="1" fieldCol="2"/>

                <x:inputC name="proofingApplySurfaceTreatment" readonly="true" label="表面处理" maxLength="32"
                          labelCol="1" fieldCol="2"/>
                <x:inputC name="proofingApplyNgReReason" readonly="true" label="NG重新打样原因" maxLength="32"
                          labelCol="1" fieldCol="2"/>
                <x:inputC name="a" readonly="true" label="测试标准" maxLength="32" labelCol="1" fieldCol="2"/>
                <x:inputC name="proofingApplyTestStandard" readonly="true" label="申请单状态" maxLength="32"
                          labelCol="1" fieldCol="2"/>


                <x:inputC name="colorType" label="颜色种类" maxLength="32" labelCol="1" fieldCol="2"/>
                <x:inputC name="expert" label="专" maxLength="32" labelCol="1" fieldCol="2"/>
                <x:inputC name="printingPlateNum" label="网版目数" maxLength="32" labelCol="1" fieldCol="2"/>
                <x:inputC name="beerPlateNum" label="啤版目数" maxLength="32" labelCol="1" fieldCol="2"/>
                <x:inputC name="dieBoardNum" label="模切板目数" maxLength="32" labelCol="1" fieldCol="2"/>

                <x:inputC name="proofingApplyTestStandard" label="标准色号" maxLength="32" labelCol="1" fieldCol="2"/>


                <div class="container-fluid">
                    <x:title title="附件上传" name="group"/>
                    <x:fileList bizCode="providerFile" bizId="bizId" id="proofingMakeDetail" isClass="true"/>
                </div>
            </div>
        </div>

        <div><h3>样品外观要求</h3></div>
        <div style="margin: 22px;border: 1px solid black;">
            <div class="hg-form-cols">

                <x:selectC name="isOutput" required="false" label="是否量产" dictionary="yesorno" labelCol="1"
                           fieldCol="2"/>
                <x:selectC name="isOut" required="false" label="是否外发" dictionary="yesorno" labelCol="1"
                           fieldCol="2"/>
                <x:selectC name="isChange" required="false" label="是否改变" dictionary="yesorno" labelCol="1"
                           fieldCol="2"/>
                <x:inputC name="plasticBagType" required="false" label="塑料袋结构类型" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productLength" required="false" label="长度（cm）" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productWidth" required="false" label="宽度（cm）" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productHeight" required="false" label="高度（cm）" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productThick" required="false" label="厚度（mm）" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productSingleLayer" required="false" label="单层厚（丝）" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productLayerNum" required="false" label="层数" maxLength="32" labelCol="1"
                          fieldCol="2"/>

                <x:inputC name="productLayerNum" required="false" label="样品形状" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="prodcutShapeSize" required="false" label="样品形状大小（mm）" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productLayerNum" required="false" label="预定工艺流程id" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productLayerNum" required="false" label="文件存储位置" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productLayerNum" required="false" label="样品物料" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productAperture" required="false" label="孔径（mm）" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productLayerNum" required="false" label="成品克重（g）" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productSingleWeight" required="false" label="单重（kg）" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productLayerNum" required="false" label="样品制造单状态" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productLayerNum" required="false" label="是否确认" maxLength="32" labelCol="1"
                          fieldCol="2"/>
            </div>
        </div>
        <div><h3>排版参数</h3></div>
        <div style="margin: 22px;border: 1px solid black;">
            <div class="hg-form-cols">
                <x:inputC name="modulus" required="false" label="模数" maxLength="32" labelCol="1" fieldCol="2"/>
                <x:inputC name="rowNum" required="false" label="列" maxLength="32" labelCol="1" fieldCol="2"/>
                <x:inputC name="columnNum" required="false" label="行" maxLength="32" labelCol="1" fieldCol="2"/>
                <x:inputC name="contactNum" required="false" label="搭版数" maxLength="32" labelCol="1" fieldCol="2"/>
                <x:inputC name="rowDoubleBlade" required="false" label="列双刀位(mm)" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="columnDoubleBlade" required="false" label="行双刀位(mm)" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="dispatchMultiple" required="false" label="派工倍数" maxLength="32" labelCol="1"
                          fieldCol="2"/>

                <x:inputC name="sheetLength" required="false" label="印张长度(cm)" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="sheetWidth" required="false" label="印张宽度(mm)" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productLayerNum" required="false" label="印刷正面颜色" maxLength="32" labelCol="1"
                          fieldCol="2"/>
                <x:inputC name="productLayerNum" required="false" label="印刷反面颜色" maxLength="32" labelCol="1"
                          fieldCol="2"/>
            </div>
        </div>
    </form>
    <%@ include file="technologyAndBom/technologyAndBom.jsp" %>
</div>
