package com.huigou.topsun.proofing.domain.model;

import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * 打样工艺
 * @TableName proofing_technology
 */
@Table(name="proofing_technology")
@Data
public class ProofingTechnology {
    /**
     * 打样工艺id
     */
    @Id
    @Column(name = "proofing_technology_id")
    private String proofingTechnologyId;

    /**
     * 工艺id
     */
    @Column(name = "technology_id")
    private String technologyId;

    /**
     * 打样申请单id
     */
    @Column(name = "proofing_apply_id")
    private String proofingApplyId;

    /**
     * 打样制作单id
     */
    @Column(name = "proofing_make_id")
    private String proofingMakeId;

}