package com.huigou.topsun.proofing.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huigou.topsun.proofing.domain.vo.BomVo;
import com.huigou.topsun.proofing.mapper.BomMapper;
import com.huigou.topsun.proofing.service.BomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class BomServiceImpl extends ServiceImpl<BomMapper, BomVo> implements BomService {

    @Autowired
    private BomMapper bomMapper;
    @Override
    public List<BomVo> getBomVoListByProductId(String productId) {
        return bomMapper.getBomVoListByProductId(productId);
    }

    @Override
    public BomVo getBomVoById(Long id) {
        return bomMapper.getBomVoById(id);
    }
}
